import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTaskApp } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-23 14:07
 */
interface DevopsTaskAppCU extends ConditionUtil<DevopsTaskAppCU> {
    ID: FieldUtil<DevopsTaskAppCU>;
    TASK_ID: FieldUtil<DevopsTaskAppCU>;
    APP_ID: FieldUtil<DevopsTaskAppCU>;
    SORT_INDEX: FieldUtil<DevopsTaskAppCU>;
    OLD_VERSION: FieldUtil<DevopsTaskAppCU>;
    NEW_VERSION: FieldUtil<DevopsTaskAppCU>;
    RUN_STATE: FieldUtil<DevopsTaskAppCU>;
    CREATE_TIME: FieldUtil<DevopsTaskAppCU>;
    UPDATE_TIME: FieldUtil<DevopsTaskAppCU>;
}
declare class DevopsTaskAppMU extends TableUtilImpl<DevopsTaskAppCU, DevopsTaskApp> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTaskAppCU;
    static get ID(): FieldUtil<DevopsTaskAppCU>;
    static get TASK_ID(): FieldUtil<DevopsTaskAppCU>;
    static get APP_ID(): FieldUtil<DevopsTaskAppCU>;
    static get SORT_INDEX(): FieldUtil<DevopsTaskAppCU>;
    static get OLD_VERSION(): FieldUtil<DevopsTaskAppCU>;
    static get NEW_VERSION(): FieldUtil<DevopsTaskAppCU>;
    static get RUN_STATE(): FieldUtil<DevopsTaskAppCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTaskAppCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTaskAppCU>;
    static get APP_NAME(): FieldInfo;
    static get APP_TYPE(): FieldInfo;
    static get CURRENT_VERSION(): FieldInfo;
    static get HEALTH_URL(): FieldInfo;
    get ID(): FieldUtil<DevopsTaskAppCU>;
    get TASK_ID(): FieldUtil<DevopsTaskAppCU>;
    get APP_ID(): FieldUtil<DevopsTaskAppCU>;
    get SORT_INDEX(): FieldUtil<DevopsTaskAppCU>;
    get OLD_VERSION(): FieldUtil<DevopsTaskAppCU>;
    get NEW_VERSION(): FieldUtil<DevopsTaskAppCU>;
    get RUN_STATE(): FieldUtil<DevopsTaskAppCU>;
    get CREATE_TIME(): FieldUtil<DevopsTaskAppCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTaskAppCU>;
    get APP_NAME(): FieldInfo;
    get APP_TYPE(): FieldInfo;
    get CURRENT_VERSION(): FieldInfo;
    get HEALTH_URL(): FieldInfo;
}
export { DevopsTaskAppMU, DevopsTaskAppCU };
